View Issue Details

IDProjectCategoryView StatusLast Update
0003963Composrcataloguespublic2019-11-26 22:45
ReporterAdamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003963: Problem selecting older dates?
DescriptionNot sure specifically what the issues is here, but it seems older dates (2008 for instance) are rejected as invalid. 3rd occurrence of this so thought I would mention.
TagsNo tags attached.
Attach Tags
Time estimation (hours)
Sponsorship open

Activities

Adam

2019-11-24 15:26

administrator  

older_dates.png (3,210 bytes)
older_dates.png (3,210 bytes)

Chris Graham

2019-11-26 21:01

administrator   ~0006178

Last edited: 2019-11-26 21:01

View 2 revisions

The defaults are to allow dates +/- 10 years around the current year.

You can add field options like...

min_year=1900,max_year=2100

I do think there's a UX issue here, I'm thinking about it.

admin

2019-11-26 21:03

administrator   ~0006179

Automated response: Vagueness in documentation for date fields

The default date range is +/- 10 years around the current year. This isn't made explicit.

admin

2019-11-26 21:03

administrator   ~0006180

Fixed in git commit 0f69288a4 (https://gitlab.com/composr-foundation/composr/commit/0f69288a4 - link will become active once code pushed to GitLab)

Chris Graham

2019-11-26 21:53

administrator   ~0006181

For v11 the default min is now 0ad and the default max is now 3000ad. If you want years around the current year you can do like min_year=Y-10,max_year=Y+10.

Adam

2019-11-26 22:36

administrator   ~0006184

Last edited: 2019-11-26 22:45

View 1 revisions

Pretty sure I used to be able to type any date in a date field, which is to be expected out of the box (in my opinion), but good to know the workarounds ;) I've never had to use them before though even if they existed.

Issue History

Date Modified Username Field Change
2019-11-24 15:26 Adam New Issue
2019-11-24 15:26 Adam File Added: older_dates.png
2019-11-26 21:01 Chris Graham Note Added: 0006178
2019-11-26 21:01 Chris Graham Note Edited: 0006178 View Revisions
2019-11-26 21:53 Chris Graham Status non-assigned => resolved
2019-11-26 21:53 Chris Graham Resolution open => fixed
2019-11-26 21:53 Chris Graham Note Added: 0006181
2019-11-26 22:36 Adam Note Added: 0006184
2019-11-26 22:38 Adam Note Edited: 0006184
2019-11-26 22:45 Adam Note Edited: 0006184 View Revisions
2019-12-22 15:22 Adam Note Revision Dropped: 6184: 0002735
2019-12-22 15:23 Adam Note Revision Dropped: 6184: 0002734